import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'second_custom_app_bar.impl.g.dart';

@ComponentCopyWithExtension()
class SecondCustomAppBar extends TopAppBarComponent
    with $SecondCustomAppBarCWMixin {
  const SecondCustomAppBar({super.title, super.key});

  @override
  Widget build(BuildContext context) => AppBar(
        backgroundColor: Colors.orange,
        title: Text(
          super.title?.data ?? '',
        ),
      );
}
